Loading...
Searching...
No Matches
Dune::PolyhedralGridIntersection< Grid > Class Template Reference

## Public Types

typedef Traits::ctype | ctype
typedef Traits::GlobalCoordinate | GlobalCoordinate
typedef Traits::template Codim< 0 >::Entity | Entity
typedef Traits::template Codim< 0 >::EntityPointer | EntityPointer
typedef Traits::template Codim< 0 >::EntitySeed | EntitySeed
typedef Traits::template Codim< 1 >::Geometry | Geometry
typedef Traits::template Codim< 1 >::LocalGeometry | LocalGeometry

## Public Member Functions

| PolyhedralGridIntersection (ExtraData data)
| PolyhedralGridIntersection (ExtraData data, const EntitySeed &seed, const int intersectionIdx)
| PolyhedralGridIntersection (const This &other)
Entity | inside () const
Entity | outside () const
PolyhedralGridIntersection & | operator= (const PolyhedralGridIntersection &other)
bool | operator== (const This &other) const
bool | boundary () const
bool | conforming () const
bool | neighbor () const
int | boundaryId () const
size_t | boundarySegmentIndex () const
LocalGeometry | geometryInInside () const
LocalGeometry | geometryInOutside () const
Geometry | geometry () const
GeometryType | type () const
int | indexInInside () const
int | indexInOutside () const
GlobalCoordinate | integrationOuterNormal (const FieldVector< ctype, dimension-1 > &local) const
GlobalCoordinate | outerNormal (const FieldVector< ctype, dimension-1 > &) const
GlobalCoordinate | outerNormal () const
GlobalCoordinate | unitOuterNormal (const FieldVector< ctype, dimension-1 > &) const
GlobalCoordinate | centerUnitOuterNormal () const
ExtraData | data () const
bool | equals (const This &other) const
int | id () const

## Public Attributes

int | intersectionIdx_

## Static Public Attributes

static const int | dimension = Traits::dimension
static const int | dimensionworld = Traits::dimensionworld

## Protected Types

typedef Grid::Traits | Traits
typedef Traits::ExtraData | ExtraData
typedef Traits::template Codim< 0 >::EntityPointerImpl | EntityPointerImpl
typedef Traits::template Codim< 0 >::EntityImpl | EntityImpl
typedef Traits::template Codim< 1 >::GeometryImpl | GeometryImpl
typedef Traits::template Codim< 1 >::LocalGeometryImpl | LocalGeometryImpl

## Protected Attributes

ExtraData | data_
EntitySeed | seed_

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/intersection.hh